@echo off
title 360开机小助手
color 2F
mode con: cols=56 lines=20
rem 判断64位系统和32位系统
if /i %PROCESSOR_IDENTIFIER:~0,3%==x86 (
        goto setup32
) else (
        goto setup64
)
:setup32
echo.
echo.温馨提示：
echo.如果系统已经安装了360卫士，请先卸载，避免与本程序
echo.引起冲突！
echo.
echo.
echo.
echo.  是否安装？
echo.
echo.
echo. 是 按任意键
echo. 否 直接关闭本窗口
echo.
echo.
echo.
echo.
echo.
pause >nul
reg add HKEY_LOCAL_MACHINE\SOFTWARE\360Safe\360krnlsvc\softmgrs /v ImagePath /t REG_SZ /d "%~dp0SoftMgr\360SoftMgrS.dll" /f>nul 2>nul
reg add "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" /v 360Safetary /t REG_SZ /d ""%~dp0safemon\360Tray.exe"  /start" /f>nul 2>nul
cls
echo.
echo  安装完成！按任意键退出！
pause >nul
exit


:setup64
echo.
echo.温馨提示：
echo.如果系统已经安装了360卫士，请先卸载，避免与本程序
echo.引起冲突！
echo.
echo.
echo.
echo.  是否安装？
echo.
echo.
echo. 是 按任意键
echo. 否 直接关闭本窗口
echo.
echo.
echo.
echo.
echo.
pause >nul
reg add HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\360Safe\360krnlsvc\softmgrs /v ImagePath /t REG_SZ /d "%~dp0SoftMgr\360SoftMgrS.dll" /f>nul 2>nul
reg add "HKLM\SOFTWARE\WOW6432Node\Microsoft\Windows\CurrentVersion\Run" /v 360Safetary /t REG_SZ /d ""%~dp0safemon\360Tray.exe"  /start" /f>nul 2>nul
cls
echo.
echo.  安装完成！按任意键退出！
pause >nul
exit